Visual LISP, AutoLISP and General Customization
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 
Reply
Message 1 of 24
Anonymous
302 Views, 23 Replies

break..

i know i have asked this b4, but the one lisp i have gotten does not work
(and i will not mention where it came from)..

i am looking for something that will automatically break a polyline at the
intersection of selected lines... kind like trim or extend, but break at
that point rather then trim/extend.

--
A2Ki, SurvCad CES, Win98 se
Remove NO SPAM from my email address to email

Jonathan J. Baker
R&R Engineers-Surveyors, Inc.
Denver, Colorado
_________________________
23 REPLIES 23
Message 21 of 24
Anonymous
in reply to: Anonymous

also.. is there a shorter command i can use.. i cant seem to get it to work
with the command alias or a hotkey lisp

(defun c:brk ()
(command "_.vxbreakatobject")
(princ)
)

--
A2Ki, SurvCad CES, Win98 se
Remove NO SPAM from my email address to email

Jonathan J. Baker
R&R Engineers-Surveyors, Inc.
Denver, Colorado
_________________________
"Jon Baker" wrote in message
news:557701BCE98B1A945B16540B970FFF64@in.WebX.maYIadrTaRb...
> anyway... is there a way to pick more then one break reference? now you
can
> only pick one.
>
> --
> A2Ki, SurvCad CES, Win98 se
> Remove NO SPAM from my email address to email
>
> Jonathan J. Baker
> R&R Engineers-Surveyors, Inc.
> Denver, Colorado
> _________________________
> "Jürg Menzi" wrote in message
> news:3BBCA6B5.6A1E8B16@bluewin.ch...
> > Hi Jon
> >
> > Guess an operation error...
> > First select the break reference, eg. line pline etc... no enter!
> > Then select all the objects you like to break... then enter
> > ok?
> >
> > Cheers
> > --
> > Juerg Menzi
> > MENZI ENGINEERING GmbH, Switzerland
> > http://www.menziengineering.ch
> >
> >
> >
> > Jon Baker schrieb:
> > >
> > > i cant get this one to work..
> > > i type the command. pick break lines and enter. it does not ask for
> anything
> > > else and returns to the command line with out breaking the poly line.
> > >
> > > --
> > > A2Ki, SurvCad CES, Win98 se
> > > Remove NO SPAM from my email address to email
> > >
> > > Jonathan J. Baker
> > > R&R Engineers-Surveyors, Inc.
> > > Denver, Colorado
> > > _________________________
> > > "Jürg Menzi" wrote in message
> > > news:3BB70B4F.2547B645@bluewin.ch...
> > > > Jon
> > > >
> > > > Enclosed you find a function to break multiple objects by another.
> > > > Proceeds 3DPOLY,ARC,CIRCLE,ELLIPSE,LINE,LWPOLYLINE,POLYLINE,SPLINE.
> > > >
> > > > Cheers
> > > > --
> > > > Juerg Menzi
> > > > MENZI ENGINEERING GmbH, Switzerland
> > > > http://www.menziengineering.ch
> > > >
> > > >
> > > > Jon Baker schrieb:
> > > > >
> > > > > i know i have asked this b4, but the one lisp i have gotten does
not
> > > work
> > > > > (and i will not mention where it came from)..
> > > > >
> > > > > i am looking for something that will automatically break a
polyline
> at
> > > the
> > > > > intersection of selected lines... kind like trim or extend, but
> break at
> > > > > that point rather then trim/extend.
> > > > >
> > > > > --
> > > > > A2Ki, SurvCad CES, Win98 se
> > > > > Remove NO SPAM from my email address to email
> > > > >
> > > > > Jonathan J. Baker
> > > > > R&R Engineers-Surveyors, Inc.
> > > > > Denver, Colorado
> > > > > _________________________
> > > >
>
>
Message 22 of 24
Anonymous
in reply to: Anonymous

Hi Jon

Try this:

(defun c:Brk ()
(cond
((= (type C:VxBreakAtObject) 'USUBR)
(C:VxBreakAtObject) ;loaded... start
)
((/= (load "VxBreakAtObject.vlx" "Err") "Err")
(C:VxBreakAtObject) ;not loaded... load and start
)
(T
(alert "Error on loading VxBreakAtObject.") ;error
)
)
(princ)
)

Cheers
--
Juerg Menzi
MENZI ENGINEERING GmbH, Switzerland
http://www.menziengineering.ch


Jon Baker schrieb:
>
> also.. is there a shorter command i can use.. i cant seem to get it to work
> with the command alias or a hotkey lisp
>
> (defun c:brk ()
> (command "_.vxbreakatobject")
> (princ)
> )
>
> --
> A2Ki, SurvCad CES, Win98 se
> Remove NO SPAM from my email address to email
>
> Jonathan J. Baker
> R&R Engineers-Surveyors, Inc.
> Denver, Colorado
Message 23 of 24
Anonymous
in reply to: Anonymous

Hi Jon

Try the revised version...

Cheers
--
Juerg Menzi
MENZI ENGINEERING GmbH, Switzerland
http://www.menziengineering.ch


Jon Baker schrieb:
>
> anyway... is there a way to pick more then one break reference? now you can
> only pick one.
>
> --
> A2Ki, SurvCad CES, Win98 se
> Remove NO SPAM from my email address to email
>
> Jonathan J. Baker
> R&R Engineers-Surveyors, Inc.
> Denver, Colorado
> _________________________
> "Jürg Menzi" wrote in message
> news:3BBCA6B5.6A1E8B16@bluewin.ch...
Message 24 of 24
Anonymous
in reply to: Anonymous

thank you very much....

--
A2Ki, SurvCad CES, Win98 se
Remove NO SPAM from my email address to email

Jonathan J. Baker
R&R Engineers-Surveyors, Inc.
Denver, Colorado
_________________________
"Jürg Menzi" wrote in message
news:3BBDAFAC.99DB5A6B@bluewin.ch...
> Hi Jon
>
> Try the revised version...
>
> Cheers
> --
> Juerg Menzi
> MENZI ENGINEERING GmbH, Switzerland
> http://www.menziengineering.ch
>
>
> Jon Baker schrieb:
> >
> > anyway... is there a way to pick more then one break reference? now you
can
> > only pick one.
> >
> > --
> > A2Ki, SurvCad CES, Win98 se
> > Remove NO SPAM from my email address to email
> >
> > Jonathan J. Baker
> > R&R Engineers-Surveyors, Inc.
> > Denver, Colorado
> > _________________________
> > "Jürg Menzi" wrote in message
> > news:3BBCA6B5.6A1E8B16@bluewin.ch...
>

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Autodesk Design & Make Report

”Boost